Bump glib and gobject dependencies

I needed glib 0.5, glib-sys 0.6 and gobject-sys 0.6 so as to be able to use
gnome-class with gstreamer-rs (0.11.1).
3 jobs for master in 10 minutes and 48 seconds (queued for 24 seconds)
latest
Status Job ID Name Coverage
  Test
passed #24800
nightly:test

00:04:39

 
  Pages
passed #24801
pages

00:06:09

 
  Deploy
passed pages:deploy

00:00:00